Bug 988785 - Can't scale up when create an app --enable-jenkins
Can't scale up when create an app --enable-jenkins
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 07:02 EDT by Yan Du
Modified: 2015-05-14 20:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-07-26 07:02:24 EDT
Description of problem:
create a scalable app with --enable-jenkins, then the app can't scale up anymore, Scaling maximum value become 1


root@openshift-ubuntu:~/test# rhc app show a5
a5 @ http://a5-11.dev.rhcloud.com/ (uuid: eb960076f5dc11e2950412313d25d28a)
---------------------------------------------------------------------------
  Domain:  11
  Created: 6:19 AM
  Gears:   1 (defaults to small)
  Git URL: ssh://eb960076f5dc11e2950412313d25d28a@a5-11.dev.rhcloud.com/~/git/a5.git/
  SSH:     eb960076f5dc11e2950412313d25d28a@a5-11.dev.rhcloud.com
  perl-5.10 (Perl 5.10)
  ---------------------
    Scaling: x1 (minimum: 1, maximum: 1) on small gears
  haproxy-1.4 (OpenShift Web Balancer)
  ------------------------------------
    Gears: Located with perl-5.10, jenkins-client-1.4
  jenkins-client-1.4 (Jenkins Client 1.4)
  ---------------------------------------
    Gears:   Located with perl-5.10, haproxy-1.4
    Job URL: https://jenkins-11.dev.rhcloud.com/job/a5-build/


root@openshift-ubuntu:~/test# rhc scale-cartridge perl-5.10 -a a5 --min 2
This operation will run until the application is at the minimum scale and may take several minutes.
Setting scale range for perl-5.10 ... 
The scales_from factor currently provided cannot be higher than the scales_to factor previously
provided. Please specify both scales_(from|to) factors together to override.


root@openshift-ubuntu:~/test# rhc scale-cartridge perl-5.10 -a a5 --min 2 --max 3
This operation will run until the application is at the minimum scale and may take several minutes.
Setting scale range for perl-5.10 ... 
A Jenkins server does not exist in this domain!
You must create a Jenkins server before installing this cartridge.


Version-Release number of selected component (if applicable):
int(devenv_3561)
devenv_3564


How reproducible:
Always


Steps to Reproduce:
1. rhc app createa a5 perl-5.10 -s --enable-jenkins
2. rhc app show a5
3. rhc scale-cartridge perl-5.10 -a a5 --min 2
4, rhc scale-cartridge perl-5.10 -a a5 --min 2 --max 3


Actual results:
the app can't scale up anymore, Scaling maximum value become 1


Expected results:
app should scale up normally
Comment 1 Yan Du 2013-07-29 04:46:58 EDT
test on devenv_3574, issue can't be reproduced.


[root@Daphne test]# rhc app show a5
a5 @ http://a5-aaa.dev.rhcloud.com/ (uuid: 976283769953570151989248)
--------------------------------------------------------------------
  Domain:  aaa
  Created: 4:37 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://976283769953570151989248@a5-aaa.dev.rhcloud.com/~/git/a5.git/
  SSH:     976283769953570151989248@a5-aaa.dev.rhcloud.com

  perl-5.10 (Perl 5.10)
  ---------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (OpenShift Web Balancer)
  ------------------------------------
    Gears: Located with perl-5.10, jenkins-client-1.4

  jenkins-client-1.4 (Jenkins Client 1.4)
  ---------------------------------------
    Gears:   Located with perl-5.10, haproxy-1.4
    Job URL: https://jenkins-aaa.dev.rhcloud.com/job/a5-build/


[root@Daphne test]# rhc scale-cartridge perl-5.10 -a a5 --min 2
This operation will run until the application is at the minimum scale and may take several minutes.
Setting scale range for perl-5.10 ... rhc scale-cartridge perl-5.10 -a a5 --min 2 --max 3done

perl-5.10 (Perl 5.10)
---------------------
  Scaling: x2 (minimum: 2, maximum: available) on small gears


[root@Daphne test]# rhc scale-cartridge perl-5.10 -a a5 --min 3 --max 4
This operation will run until the application is at the minimum scale and may take several minutes.
Setting scale range for perl-5.10 ... done

perl-5.10 (Perl 5.10)
---------------------
  Scaling: x3 (minimum: 3, maximum: 4) on small gears
Comment 2 Rajat Chopra 2013-07-29 15:09:31 EDT
Fixed with rev#0bc92a9d4b75514bf667eacdf356581b055d6b6c
Comment 3 Yan Du 2013-07-29 22:30:13 EDT
test on devenv_3580, same result as #Comment 1, move to verified.

Note You need to log in before you can comment on or make changes to this bug.